<template>
  <div class="dashboard-page-container pb-5">
    <h1 class="page-title fw-bolder">Support</h1>
    <div class="mt-4">
      <div class="row">
        <div class="col-sm-12 col-md-6">
          <p>Please find the details of the support email and phone number.</p>
          <div class="card card-setting">
            <a class="my-3 text-decoration-none" href="tel:09138831511">
              <div class="d-flex align-items-center">
                <vs-button upload icon color="primary" flat
                  ><svg
                    xmlns="http://www.w3.org/2000/svg"
                    width="24"
                    height="24"
                    viewBox="0 0 24 24"
                    style="fill: #ff9900; transform: ; -ms-filter: "
                  >
                    <path
                      d="M20.487,17.14l-4.065-3.696c-0.399-0.363-1.015-0.344-1.391,0.043l-2.393,2.461c-0.576-0.11-1.734-0.471-2.926-1.66 c-1.192-1.193-1.553-2.354-1.66-2.926l2.459-2.394c0.388-0.376,0.406-0.991,0.043-1.391L6.859,3.513 c-0.363-0.401-0.98-0.439-1.391-0.087l-2.17,1.861C3.125,5.461,3.022,5.691,3.008,5.936c-0.015,0.25-0.301,6.172,4.291,10.766 C11.305,20.707,16.323,21,17.705,21c0.202,0,0.326-0.006,0.359-0.008c0.245-0.014,0.475-0.117,0.648-0.291l1.86-2.171 C20.926,18.119,20.887,17.503,20.487,17.14z"
                    ></path>
                  </svg>
                </vs-button>
                <span class="ms-3 fw-bold"> 09138831511 </span>
              </div>
            </a>
            <a class="my-3 text-decoration-none" href="tel:09155556906">
              <div class="d-flex align-items-center">
                <vs-button upload icon color="primary" flat
                  ><svg
                    xmlns="http://www.w3.org/2000/svg"
                    width="24"
                    height="24"
                    viewBox="0 0 24 24"
                    style="fill: #ff9900; transform: ; -ms-filter: "
                  >
                    <path
                      d="M20.487,17.14l-4.065-3.696c-0.399-0.363-1.015-0.344-1.391,0.043l-2.393,2.461c-0.576-0.11-1.734-0.471-2.926-1.66 c-1.192-1.193-1.553-2.354-1.66-2.926l2.459-2.394c0.388-0.376,0.406-0.991,0.043-1.391L6.859,3.513 c-0.363-0.401-0.98-0.439-1.391-0.087l-2.17,1.861C3.125,5.461,3.022,5.691,3.008,5.936c-0.015,0.25-0.301,6.172,4.291,10.766 C11.305,20.707,16.323,21,17.705,21c0.202,0,0.326-0.006,0.359-0.008c0.245-0.014,0.475-0.117,0.648-0.291l1.86-2.171 C20.926,18.119,20.887,17.503,20.487,17.14z"
                    ></path>
                  </svg>
                </vs-button>
                <span class="ms-3 fw-bold"> 09155556906 </span>
              </div>
            </a>
            <a
              class="my-3 text-decoration-none"
              href="mailto:support@corebank.ng"
            >
              <div class="d-flex align-items-center">
                <vs-button upload icon color="primary" flat>
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    width="24"
                    height="24"
                    viewBox="0 0 24 24"
                    style="fill: #ff9900; transform: ; -ms-filter: "
                  >
                    <path
                      d="M20,4H6C4.897,4,4,4.897,4,6v5h2V8l6.4,4.8c0.178,0.133,0.389,0.2,0.6,0.2s0.422-0.067,0.6-0.2L20,8v9h-8v2h8 c1.103,0,2-0.897,2-2V6C22,4.897,21.103,4,20,4z M13,10.75L6.666,6h12.668L13,10.75z"
                    ></path>
                    <path d="M2 12H9V14H2zM4 15H10V17H4zM7 18H11V20H7z"></path>
                  </svg>
                </vs-button>
                <span class="ms-3 fw-bold"> support@corebank.ng </span>
              </div>
            </a>
          </div>
        </div>
      </div>
    </div>

    <!-- Modal -->
    <!-- Successful Modal -->
    <div
      class="modal fade"
      id="PaymentSuccessModal"
      tabindex="-1"
      data-bs-backdrop="static"
    >
      <div class="modal-dialog modal-dialog-centered">
        <div
          class="modal-content d-flex justify-content-center align-items-center"
        >
          <div class="modal-body py-5">
            <div class="text-center">
              <img src="@/assets/images/transfer-success-icon.png" />
            </div>
            <div class="px-5 text-center mt-3">
              <h3 class="fw-bold text-dark my-2">PIN changed Successful!</h3>

              <p class="text-muted my-2 px-3">
                Your PIN has been changed. You can start using the new PIN
              </p>

              <div class="mt-3">
                <div class="d-flex justify-content-center">
                  <button
                    class="btn btn-primary btn-lg rounded-1 px-5 h6"
                    type="button"
                    style="font-size: 14px"
                    data-bs-dismiss="modal"
                  >
                    <span class="px-2"> OK </span>
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
// import TransferBetweenAccounts from '@/assets/icons/transfer-between-accounts.svg?inline'
// import TransferToCorebankAccount from '@/assets/icons/transfer-to-corebank-account.svg?inline'
// import TransferToOtherBanks from '@/assets/icons/transfer-to-other-banks.svg?inline'
// import PincodeInput from 'vue-pincode-input'

export default {
  layout: 'dashboard',
}
</script>

<style lang="scss">
@import '~@/assets/scss/index';
@import '~@/assets/scss/variables';

.text-sm {
  font-size: 12px;
}

.dashboard-page-container {
}
</style>
